org.apache.commons.collections4

## Interface SortedBag<E>

- Type Parameters:
    `E` - the type of elements in this bag
  All Superinterfaces:
    Bag<E>, Collection<E>, Iterable<E>
  All Known Implementing Classes:
    AbstractSortedBagDecorator, CollectionSortedBag, PredicatedSortedBag, SynchronizedSortedBag, TransformedSortedBag, TreeBag, UnmodifiableSortedBag

      public interface SortedBag<E>
      extends Bag<E>

  Defines a type of `Bag` that maintains a sorted order among its unique representative members.
  Since:
    2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Comparator<? super E>` | `comparator()` Returns the comparator associated with this sorted set, or null if it uses its elements' natural ordering.
    `E` | `first()` Returns the first (lowest) member.
    `E` | `last()` Returns the last (highest) member.

    - ### Methods inherited from interface org.apache.commons.collections4.Bag

      `add, add, containsAll, getCount, iterator, remove, remove, removeAll, retainAll, size, uniqueSet`

    - ### Methods inherited from interface java.util.Collection

      `addAll, clear, contains, equals, hashCode, isEmpty, parallelStream, removeIf, spliterator, stream, toArray, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Method Detail

    - #### comparator

          Comparator<? super E> comparator()

      Returns the comparator associated with this sorted set, or null if it uses its elements' natural ordering.
      Returns:
        the comparator in use, or null if natural ordering

    - #### first

          E first()

      Returns the first (lowest) member.
      Returns:
        the first element in the sorted bag

    - #### last

          E last()

      Returns the last (highest) member.
      Returns:
        the last element in the sorted bag

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.